## org.jfree.report.modules.misc.tablemodel
Class CSVTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          org.jfree.report.modules.misc.tablemodel.CSVTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class CSVTableModel

extends javax.swing.table.AbstractTableModel

`TableModel` used by the `CSVTableModelProducer` class. It has a feature which generates the column name if it is not know.

Author:
  Mimil
See Also:
  `this.getColumnName()`, Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`CSVTableModel()`

Method Summary
`int` `getColumnCount()` Counts columns of this `TableModel`.
`java.lang.String` `getColumnName(int column)` Return the column name at a specified position.
`java.lang.String[]` `getColumnNames()`
`java.lang.Object[][]` `getData()`
`int` `getMaxColumnCount()`
`int` `getRowCount()` Counts rows of this `TableModel`.
`java.lang.Object` `getValueAt(int rowIndex, int columnIndex)` Gets the Object at specified row and column positions.
`void` `setColumnNames(java.lang.String[] columnNames)`
`void` `setData(java.lang.Object[][] data)`
`void` `setMaxColumnCount(int maxColumnCount)` Sets the maximum column count if it is bigger than the current one.

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSVTableModel

    public CSVTableModel()

Method Detail

### getData

    public java.lang.Object[][] getData()

### setData

    public void setData(java.lang.Object[][] data)

### getColumnNames

    public java.lang.String[] getColumnNames()

### setColumnNames

    public void setColumnNames(java.lang.String[] columnNames)

### getColumnCount

    public int getColumnCount()

  Counts columns of this `TableModel`.

  Returns:
    the column count

### getRowCount

    public int getRowCount()

  Counts rows of this `TableModel`.

  Returns:
    the row count

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

  Gets the Object at specified row and column positions.

  Parameters:
    `rowIndex` - row index
    `columnIndex` - column index
  Returns:
    The requested Object

### setMaxColumnCount

    public void setMaxColumnCount(int maxColumnCount)

  Sets the maximum column count if it is bigger than the current one.

  Parameters:
    `maxColumnCount` -

### getMaxColumnCount

    public int getMaxColumnCount()

### getColumnName

    public java.lang.String getColumnName(int column)

  Return the column name at a specified position.

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`
  Parameters:
    `column` - column index
  Returns:
    the column name